org.apache.ignite.internal.commandline.tracing.configuration

## Class TracingConfigurationArguments

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.commandline.configuration.VisorTracingConfigurationItem
    - - org.apache.ignite.internal.commandline.tracing.configuration.TracingConfigurationArguments

All Implemented Interfaces:
  Externalizable, Serializable

    public final class TracingConfigurationArguments
    extends VisorTracingConfigurationItem

This class contains all possible arguments after parsing tracing-configuration command input.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TracingConfigurationArguments.Builder` Builder of `TracingConfigurationArguments`.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7`

### Constructor Summary

Constructors
Constructor and Description
`TracingConfigurationArguments()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`TracingConfigurationSubcommand` `command()`

### Methods inherited from class org.apache.ignite.internal.commandline.configuration.VisorTracingConfigurationItem

`equals, includedScopes, label, readExternalData, samplingRate, scope, toString, writeExternalData`

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TracingConfigurationArguments

    public TracingConfigurationArguments()

Default constructor.

### Method Detail

#### command

    public TracingConfigurationSubcommand command()

Returns:
  Command.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020